import {render, screen} from '@testing-library/react';
import { createStore } from "redux";
import { Provider } from "react-redux";

import App from './App';
import todoReducer from "../features/todo/todosSlice";

test('renders learn react link', () => {
  const store = createStore(todoReducer);
  render(
      <Provider store={store}>
        <App />
      </Provider>
  )
  const linkElement = screen.getByText(/Todo List/i);
  expect(linkElement).toBeInTheDocument();
});
